summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2014-07-07 14:41:56 +0000
committerMichał Górny <mgorny@gentoo.org>2014-07-07 14:41:56 +0000
commit116c94907534c6d7e368aceca64e048f000f9324 (patch)
tree3fb62b31647cc07e72b381ef3933bee884eb4c08 /eclass/git-r3.eclass
parentPass --enable-sql for non-native build only when SQLite is enabled (since MyS... (diff)
downloadhistorical-116c94907534c6d7e368aceca64e048f000f9324.tar.gz
historical-116c94907534c6d7e368aceca64e048f000f9324.tar.bz2
historical-116c94907534c6d7e368aceca64e048f000f9324.zip
Stop forcing -m0755 on EGIT3_STORE_DIR and parents, bug #516508.
Diffstat (limited to 'eclass/git-r3.eclass')
-rw-r--r--eclass/git-r3.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/git-r3.eclass b/eclass/git-r3.eclass
index 99b2ffe9a2d1..76b406611bc5 100644
--- a/eclass/git-r3.eclass
+++ b/eclass/git-r3.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/git-r3.eclass,v 1.44 2014/06/20 11:40:28 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/git-r3.eclass,v 1.45 2014/07/07 14:41:56 mgorny Exp $
# @ECLASS: git-r3.eclass
# @MAINTAINER:
@@ -302,7 +302,7 @@ _git-r3_set_gitdir() {
if [[ ! -d ${EGIT3_STORE_DIR} ]]; then
(
addwrite /
- mkdir -m0755 -p "${EGIT3_STORE_DIR}" || die
+ mkdir -p "${EGIT3_STORE_DIR}" || die
) || die "Unable to create ${EGIT3_STORE_DIR}"
fi